Drupal 7 and php

Discussion in 'Installation/Configuration' started by Toucan, Jan 15, 2011.

  1. Toucan

    Toucan New Member

    I'm getting the following reported error on drupal 7
    Is this something I can easily fix?
  2. falko

    falko Super Moderator ISPConfig Developer

    Did you install the php5-gd package? How did you install PHP?
  3. Toucan

    Toucan New Member

    Thanks as always.

    Lenny was pre installed on this virtual server, from that point the perfect Lenny with mydns guide was followed. It missed a couple of packages off mostly to do with open bsd and FTP.

    I checked the sources list and it only had one listed so I added those that are on my custom made Lenny server at it all seemed to resolve.

    I've not installed any additional packages.
  4. falko

    falko Super Moderator ISPConfig Developer

    So it's working now?
  5. Toucan

    Toucan New Member

    No, I was just explaining the setup I had gone through. Php was installed using the perfect Lenny guide after the base system installation.

    It is still reporting that id compiled php using different repositories.
  6. falko

    falko Super Moderator ISPConfig Developer

    show the GD module as enabled?
  7. damir

    damir New Member

    GD is enabled but not those libraries needen by Drupal. Drupal will work without them beacuse those are functions for effects and rotating images.

    Debian Lenny does not come with those GD libraries enabled. You need to reinstall GD with updated packages.

    Here is the guide:


    I have done it many times and it works for ME. After those updated packages, this is what Drupal7 status reports:

  8. Toucan

    Toucan New Member

    Falko, Damir,

    Thanks to you both - damir's howto solved it.

Share This Page